Repository 32bit  Forum
Repository 64bit  Wiki

[ATI]Ultimi driver closed e Kernel 2.6.29.1 novità?

Usate questo forum per richieste di aiuto e consigli sull'hardware montato nelle vostre macchine con GNU/Linux Slackware.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata e la versione del Kernel. Questi dati aiutano le persone che possono rispondere.
2) Citare il tipo di hardware coinvolto in modo dettagliato.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT. Non usare termini gergali come procio, mobo e simili per identificare i componenti hardware.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

[ATI]Ultimi driver closed e Kernel 2.6.29.1 novità?

Messaggioda Plaoo » mar apr 21, 2009 10:38

Ci sono novità o patch per far funzionare gli ultimi driver ati con l'ultimo kernel io ho provato ma non mi permette menno la creazione del pacchetto per slackware e il problema sta proprio con il kernel
Ultima modifica di Plaoo il dom mag 17, 2009 16:07, modificato 2 volte in totale.
Il canale ufficiale di slacky.eu si trova sui server irc.syrolnet.org canale #slackware
Avatar utente
Plaoo
Linux 2.6
Linux 2.6
 
Messaggi: 809
Iscritto il: gio apr 10, 2008 16:40
Località: Ittiri (SS)
Slackware: 14 64
Kernel: 3.2.9
Desktop: KDE

Re: [ATI]Ultimi driver closed e Kernel 2.6.29.1 novità?

Messaggioda murdock » mar apr 21, 2009 11:20

Spesso ho avuto a che fare con gli innumerevoli problemi dei drivers ATI, le nuove releases del kernel e quant'altro.
Il comunicato ATI sul futuro supporto dei drivers linux per la mia Xpress (e molti altri acceleratori grafici relativamente recenti)
mi ha portato finalmente a risolvere definitivamente il problema.
Sono andato in un negozietto delle mie parti, ho cacciato 30 euro e mi sono comprato una Nvidia Geforce 8400GS.
Funziona perfettamente con il nuovo kernel 2.6.29.1 ed i colori sono perfino migliori (prima dovevo aggeggiare con il gamma e
le proprietà del monitor, per togliere un opprimente "rossore" sul tutto, specie sul grigio).
E' bene che ATI/AMD sappia che, per tutto quello che mi hanno fatto soffrire, da oggi in poi comprerò solo processori
Intel, motherboards "ATI free" e schede grafiche Nvidia. :protest:

Saluti,
MuRdOcK
Avatar utente
murdock
Linux 2.4
Linux 2.4
 
Messaggi: 452
Iscritto il: ven mag 25, 2007 11:58
Slackware: 64 14.1
Kernel: 3.16,3
Desktop: KDE 4.14,1

Re: [ATI]Ultimi driver closed e Kernel 2.6.29.1 novità?

Messaggioda mbrancalion » mar apr 21, 2009 12:27

Concordo di cuore con murdock:
entro fine settimana mi arriva il portatile nuovo (XPS da 15") con una nvidia 8600M GT.

Perdonatemi il francesismo, che parzialmente occultero', ma le Ati mi hanno scart@vetr@to i ma%%ni :D
Ati mai piu'.




NB: vi sto scrivendo da una ubuntu ........
...... anche se mi sto organizzando un ritorno alla ubuntu cio' non vuol dire che non seguiro' questo forum, che e' sempre il piu' mitologico di tutti, che si parli di slackware o meno...... ;)
Avatar utente
mbrancalion
Linux 2.0
Linux 2.0
 
Messaggi: 185
Iscritto il: ven ago 31, 2007 15:01
Località: Grignano Polesine (RO)
Nome Cognome: Marco Brancalion
Slackware: nessuna
Kernel: 2.6.38-11
Desktop: kde 4.6.2
Distribuzione: kubuntu 11.04

Re: [ATI]Ultimi driver closed e Kernel 2.6.29.1 novità?

Messaggioda sardylan » mar apr 21, 2009 12:49

Concordo... Sempre se hai intenzione di avere delle prestazioni... Altrimenti, non mi stancherò mai di ripeterlo, si può ricorrere ai drivers open, che sono notevolmente migliorati.. :) Anche se magari le cose non vanno poi così tanto bene con tutte le schede :)
Plaoo... Downgrade del kernel :)
Avatar utente
sardylan
Linux 2.6
Linux 2.6
 
Messaggi: 993
Iscritto il: mar apr 24, 2007 8:21
Località: Cagliari
Nome Cognome: Luca Cireddu
Slackware: current 64bits
Kernel: 3.16
Desktop: KDE 4.5.5
Distribuzione: Debian - CLFS

Re: [ATI]Ultimi driver closed e Kernel 2.6.29.1 novità?

Messaggioda mbrancalion » mar apr 21, 2009 15:27

sardylan ha scritto: si può ricorrere ai drivers open, che sono notevolmente migliorati.. :)


Li sto usando in questo momento, su una Ati X1400 (R500).
Non vanno male. Ma neanche tutto questo spettacolo...... L'accelerazione (anche 2D) non e' tutto questo granche'......
E non c'e' nessuna forma di gestione dell'energia...........
Avatar utente
mbrancalion
Linux 2.0
Linux 2.0
 
Messaggi: 185
Iscritto il: ven ago 31, 2007 15:01
Località: Grignano Polesine (RO)
Nome Cognome: Marco Brancalion
Slackware: nessuna
Kernel: 2.6.38-11
Desktop: kde 4.6.2
Distribuzione: kubuntu 11.04

Re: [ATI]Ultimi driver closed e Kernel 2.6.29.1 novità?

Messaggioda ponce » mar apr 21, 2009 16:22

anche i vesa, se uno non usa applicazioni 3d, vanno abbastanza bene sulla ati che ho al lavoro, anche se ora li' uso una current con un kernel 2.6.28-zen13 e quelli proprietari :)

se uno ha proprio la necessita' del 3d al limite si fa un piccolo downgrade del kernel.

(poi, a casa, solo nvidia :D )
Avatar utente
ponce
Master
Master
 
Messaggi: 1513
Iscritto il: mer mar 05, 2008 16:45
Località: Pisa
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 3.18-rc2
Desktop: lxde

Re: [ATI]Ultimi driver closed e Kernel 2.6.29.1 novità?

Messaggioda twister » mar apr 21, 2009 16:33

o con i driver ati open giocavo tranquillamente a urban terror :D
Avatar utente
twister
Staff
Staff
 
Messaggi: 1598
Iscritto il: mar nov 11, 2003 0:00
Località: Roma
Slackware: current

Re: [ATI]Ultimi driver closed e Kernel 2.6.29.1 novità?

Messaggioda Plaoo » mar apr 21, 2009 20:48

twister ha scritto:o con i driver ati open giocavo tranquillamente a urban terror :D

Proprio questo il mio problema con i driver open niente OpenGL :?
Il canale ufficiale di slacky.eu si trova sui server irc.syrolnet.org canale #slackware
Avatar utente
Plaoo
Linux 2.6
Linux 2.6
 
Messaggi: 809
Iscritto il: gio apr 10, 2008 16:40
Località: Ittiri (SS)
Slackware: 14 64
Kernel: 3.2.9
Desktop: KDE

Re: [ATI]Ultimi driver closed e Kernel 2.6.29.1 novità?

Messaggioda Blallo » mar apr 21, 2009 21:32

Plaoo ha scritto:
twister ha scritto:o con i driver ati open giocavo tranquillamente a urban terror :D

Proprio questo il mio problema con i driver open niente OpenGL :?

in che senso?
Io sono il detective Arsenio Magret, e porto sempre la camicia TATUATA!
Avatar utente
Blallo
Packager
Packager
 
Messaggi: 3243
Iscritto il: ven ott 12, 2007 10:37
Località: Torino / Torremaggiore (FG)
Nome Cognome: Savino Liguori
Slackware: 14.1 / 12.2
Kernel: 3.12.2-ck
Desktop: Openbox

Re: [ATI]Ultimi driver closed e Kernel 2.6.29.1 novità?

Messaggioda Plaoo » mer apr 22, 2009 1:23

jimmy_page_89 ha scritto:in che senso?

glxgears funziona ma quando faccio partire un gioco (Urban terror ad esempio)
Codice: Seleziona tutto
ioQ3 1.35urt linux-i386 Dec 20 2007
----- FS_Startup -----
Going through search path...

----------------------
8032 files in pk3 files
execing default.cfg
execing q3config.cfg
execing autoexec.cfg
Hunk_Clear: reset the hunk ok
----- Client Initialization -----
Couldn't read q3history.
----- Initializing Renderer ----
-------------------------------
QKEY found.
----- Client Initialization Complete -----
----- R_Init -----
...loading opengl32:
Calling SDL_Init(SDL_INIT_VIDEO)...
SDL_Init(SDL_INIT_VIDEO) passed.
QGL_Init: Can't load opengl32 from /etc/ld.so.conf or current dir: Failed loading /home/Plaoo/UrbanTerror_41_FULL/UrbanTerror/opengl32
failed
...loading libGL.so.1:
Initializing OpenGL display
...setting mode 4: 800 600
SDL_SetVideoMode failed: Couldn't find matching GLX visual
SDL_SetVideoMode failed: Couldn't find matching GLX visual
Using 4/4/4 Color bits, 16 depth, 8 stencil display.
GL_RENDERER: Mesa GLX Indirect


***********************************************************
 You are using software Mesa (no hardware acceleration)!   
 Driver DLL used: libGL.so.1
 If this is intentional, add
       "+set r_allowSoftwareGL 1"
 to the command line when starting the game.
***********************************************************
...WARNING: could not set the given mode (4)
Calling SDL_Init(SDL_INIT_VIDEO)...
SDL_Init(SDL_INIT_VIDEO) passed.
Initializing OpenGL display
...setting mode 3: 640 480
SDL_SetVideoMode failed: Couldn't find matching GLX visual
SDL_SetVideoMode failed: Couldn't find matching GLX visual
Using 4/4/4 Color bits, 16 depth, 8 stencil display.
----- CL_Shutdown -----
RE_Shutdown( 1 )
-----------------------

e questo con i driver open che ci sono nella slack 12.2
Il canale ufficiale di slacky.eu si trova sui server irc.syrolnet.org canale #slackware
Avatar utente
Plaoo
Linux 2.6
Linux 2.6
 
Messaggi: 809
Iscritto il: gio apr 10, 2008 16:40
Località: Ittiri (SS)
Slackware: 14 64
Kernel: 3.2.9
Desktop: KDE

Re: [ATI]Ultimi driver closed e Kernel 2.6.29.1 novità?

Messaggioda huvber » dom mag 03, 2009 10:12

Nessuna novità? io ho il kernel 2.26.9.2
huvber
Linux 2.4
Linux 2.4
 
Messaggi: 209
Iscritto il: gio mar 06, 2008 21:45
Slackware: current
Desktop: KDE 4.2.1

Re: [ATI]Ultimi driver closed e Kernel 2.6.29.1 novità?

Messaggioda huvber » ven lug 03, 2009 10:46

sono usciti i nuovi driver ma qualcuno sa spiegarmi perchè se provo ad installarli mi da questo errore?
Codice: Seleziona tutto
==================================================
 ATI Technologies Linux Driver Installer/Packager
==================================================
Generating package: Slackware/Only_Module

ATI SlackBuild Version 1.3.9
--------------------------------------------
by: Emanuele Tomasi <tomasiATcli.di.unipi.it>
    Ezio Ghibaudo <ekxiusATgmail.com>
    Federico Rota <federico.rota01ATgmail.com>

AMD kernel module generator version 2.1
doing Makefile based build for kernel 2.6.x and higher
rm -rf *.c *.h *.o *.ko *.GCC* .??* *.symvers
make -C /lib/modules/2.6.29.4-smp/build SUBDIRS=/root/fglrx-install.5dRj57/common/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory `/usr/src/linux-2.6.29.4'
  CC [M]  /root/fglrx-install.5dRj57/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
/root/fglrx-install.5dRj57/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function 'KCL_SetPageCache_Array':
/root/fglrx-install.5dRj57/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1230: warning: unused variable 'ret'
/root/fglrx-install.5dRj57/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1229: warning: unused variable 'i'
/root/fglrx-install.5dRj57/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function 'KCL_GetEffectiveUid':
/root/fglrx-install.5dRj57/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1451: error: 'struct task_struct' has no member named 'euid'
/root/fglrx-install.5dRj57/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function 'KCL_PosixSecurityCapSetIPCLock':
/root/fglrx-install.5dRj57/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1825: error: 'struct task_struct' has no member named 'cap_effective'
/root/fglrx-install.5dRj57/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1829: error: 'struct task_struct' has no member named 'cap_effective'
make[2]: *** [/root/fglrx-install.5dRj57/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o] Error 1
make[1]: *** [_module_/root/fglrx-install.5dRj57/common/lib/modules/fglrx/build_mod/2.6.x] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.29.4'
make: *** [kmod_build] Error 2
build failed with return value 2
ERROR: i don't have make module
Removing temporary directory: fglrx-install.5dRj57
bash-3.1# sh ati-driver-installer-9-6-x86.x86_64.run --buildpkg Slackware/Only_Module > to
Created directory fglrx-install.V87vue
huvber
Linux 2.4
Linux 2.4
 
Messaggi: 209
Iscritto il: gio mar 06, 2008 21:45
Slackware: current
Desktop: KDE 4.2.1

Re: [ATI]Ultimi driver closed e Kernel 2.6.29.1 novità?

Messaggioda skagway » ven set 04, 2009 9:36

Ho lo stesso identico problema. Aggiungo che uso la Slackware 13 completa e col kernel originale.

Concordo con chi dice che nVidia è meglio, ma il PC in questione è al lavoro e non posso aprirlo per smanettarci dentro.. :cry:
Avatar utente
skagway
Linux 1.0
Linux 1.0
 
Messaggi: 73
Iscritto il: gio ago 10, 2006 7:45
Località: Pisa
Slackware: current 11/08/09
Kernel: 2.6.29.6-smp
Desktop: KDE 4.2.4


Torna a Hardware

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite

cron